### Method

# Gsk GLShader get_arg_vec2

#### Declaration [src]

    void
    gsk_gl_shader_get_arg_vec2 (
      GskGLShader* shader,
      GBytes* args,
      int idx,
      graphene_vec2_t* out_value
    )

#### Description [src]

Gets the value of the uniform `idx` in the `args` block.

The uniform must be of vec2 type.

#### Parameters

`args` | `GBytes*`
| Uniform arguments.
| The data is owned by the caller of the function.
`idx` | `int`
| Index of the uniform.
`out_value` | `graphene_vec2_t*`
| Location to store the uniform value in.
| The data is owned by the caller of the function.